# $Revision: 1.9.2.3 $, $Date: 2003/07/27 19:10:27 $
Summary:	Minimal chrome, maximum usability
Summary(pl):	Mae ikonki, maksymalna uyteczno
Name:		mozilla-theme-LittleMozilla
Version:	1.2
%define	fver	%(echo %{version} | tr -d .)
%define		_realname	littlemozilla_%{fver}
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.uk1.mozdev.org/rsync/themes/themes/%{_realname}.xpi
# Source0-md5:	b0e634c1cfc0bed04ed5b1337097ef23
Source1:	%{_realname}-installed-chrome.txt
URL:		http://themes.mozdev.org/themes/littlemozilla.html
BuildRequires:	unzip
Requires(post,postun):	textutils
Requires:	mozilla >= 1.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Minimal chrome, maximum usability. A theme designed to be a clean,
simple and consequent UI for the Mozilla platform. Focus on reduced
screen space usage, improved interaction (almost everything that can
be clicked, responds on mouse hovering, etc.). Consequent use of
colours, and symbolics.

%description -l pl
Mae ikonki, maksymalna uyteczno. Motyw zaprojektowany tak, aby by
przejrzystym, prostym i konsekwentnym interfejsem uytkownika dla
platformy Mozilli. Skupiono si na ograniczonym uyciu przestrzeni
ekranu, zwikszonej interakcji (prawie wszystko moe by kliknite,
odpowiada na zblienie kursora myszy itd.). Konsekwentne uycie
kolorw i symboliki.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}
unzip %{SOURCE0} %{_realname}.jar -d $RPM_BUILD_ROOT%{_chromedir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-theme-LittleMozilla.spec,v $
Revision 1.9.2.3  2003/07/27 19:10:27  blues
- release 2

Revision 1.9.2.2  2003/07/21 09:12:39  qboosh
- merged descriptions sync from HEAD

Revision 1.9.2.1  2003/07/20 14:31:27  blues
- prefix for RA

Revision 1.9  2003/07/20 14:30:23  blues
- 1.2 for mozilla 1.2.1

Revision 1.8  2003/06/24 21:27:39  ankry
- s/downloads.mozdev.org/downloads.us-east1.mozdev.org/
- fixed md5

Revision 1.7  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/20 22:50:57  qboosh
- use umask in scripts, Requires(post,postun): textutils (cat)

Revision 1.4  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.3  2002/06/24 12:01:54  kloczek
- cosmetics.

Revision 1.2  2002/06/24 08:51:43  qboosh
- cosmetics

Revision 1.1  2002/06/24 08:27:48  jojoro
- initial release
